[BLFS Trac] #2173: Lua-5.1.1

BLFS Trac trac at linuxfromscratch.org
Tue Oct 3 22:10:38 PDT 2006


#2173: Lua-5.1.1
-------------------------+--------------------------------------------------
 Reporter:  Luca         |       Owner:  blfs-book at linuxfromscratch.org
     Type:  enhancement  |      Status:  new                           
 Priority:  normal       |   Milestone:  6.2                           
Component:  BOOK         |     Version:  SVN                           
 Severity:  normal       |    Keywords:                                
-------------------------+--------------------------------------------------
 Kdelibs supports lua extensions to kate (from what I read kde-3.5.4 should
 support lua-5.1=> instead of lua-5.0.

 Lua latest version lua-5.1.1 from http://www.lua.org

 Dependencies: NCurses and Readline.

 {{{
 make linux
 make test
 make install INSTALL_TOP=/usr
 }}}

 There are some customizations possible using

 {{{
 make MYCFLAGS="-DLUA_USE_MKSTEMP -DLUA_USE_DLOPEN -DLUA_COMPAT_GETN" linux
 }}}

 It is also possible to set -DLUA_COMPAT_LSTR 2 for the old long
 compatibily string nesting.
 Dynamic loading is enabled by default in platforms supported.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/2173>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list